Loading...
Searching...
No Matches
Halide::BoundaryConditions::Internal Namespace Reference

## Functions

HALIDE_NO_USER_CODE_INLINE void | collect_region (Region &collected_args, const Expr &a1, const Expr &a2)
template<typename... Args>
HALIDE_NO_USER_CODE_INLINE void | collect_region (Region &collected_args, const Expr &a1, const Expr &a2, Args &&...args)
const Func & | func_like_to_func (const Func &func)
template<typename T>
HALIDE_NO_USER_CODE_INLINE Func | func_like_to_func (const T &func_like)

## Function Documentation

## collect_region() [1/2]

HALIDE_NO_USER_CODE_INLINE void Halide::BoundaryConditions::Internal::collect_region | ( | Region & | collected_args,
|  | const Expr & | a1,
|  | const Expr & | a2 )

inline

Definition at line 53 of file BoundaryConditions.h.

References HALIDE_NO_USER_CODE_INLINE.

Referenced by collect_region(), and Halide::BoundaryConditions::constant_exterior().

## collect_region() [2/2]

template<typename... Args>

HALIDE_NO_USER_CODE_INLINE void Halide::BoundaryConditions::Internal::collect_region | ( | Region & | collected_args,
|  | const Expr & | a1,
|  | const Expr & | a2,
|  | Args &&... | args )

inline

Definition at line 59 of file BoundaryConditions.h.

References collect_region(), and HALIDE_NO_USER_CODE_INLINE.

## func_like_to_func() [1/2]

const Func & Halide::BoundaryConditions::Internal::func_like_to_func | ( | const Func & | func | ) |

inline

Definition at line 65 of file BoundaryConditions.h.

Referenced by Halide::BoundaryConditions::constant_exterior(), Halide::BoundaryConditions::constant_exterior(), Halide::BoundaryConditions::constant_exterior(), Halide::BoundaryConditions::constant_exterior(), Halide::BoundaryConditions::mirror_image(), Halide::BoundaryConditions::mirror_image(), Halide::BoundaryConditions::mirror_interior(), Halide::BoundaryConditions::mirror_interior(), Halide::BoundaryConditions::repeat_edge(), Halide::BoundaryConditions::repeat_edge(), Halide::BoundaryConditions::repeat_image(), and Halide::BoundaryConditions::repeat_image().

## func_like_to_func() [2/2]

template<typename T>

HALIDE_NO_USER_CODE_INLINE Func Halide::BoundaryConditions::Internal::func_like_to_func | ( | const T & | func_like | ) |

inline

Definition at line 70 of file BoundaryConditions.h.

References HALIDE_NO_USER_CODE_INLINE, and Halide::lambda().